# Generated by the protocol buffer compiler.  DO NOT EDIT!
# sources: controller.proto
# plugin: python-betterproto
from dataclasses import dataclass

import betterproto


@dataclass(eq=False, repr=False)
class Event(betterproto.Message):
    mon_event: "_monster__.MonsterEvent" = betterproto.message_field(1, group="event")
    item_event: "_item__.ItemEvent" = betterproto.message_field(2, group="event")
    quest_event: "_quest__.QuestEvent" = betterproto.message_field(3, group="event")
    battle_event: "_battle__.BattleEvent" = betterproto.message_field(4, group="event")

    def __post_init__(self) -> None:
        super().__post_init__()


@dataclass(eq=False, repr=False)
class FuncCall(betterproto.Message):
    auth_service_call: "_auth__.AuthServiceCall" = betterproto.message_field(
        1, group="message"
    )
    mon_service_call: "_monster__.MonServiceCall" = betterproto.message_field(
        2, group="message"
    )
    user_service_call: "_user__.UserServiceCall" = betterproto.message_field(
        3, group="message"
    )
    inv_service_call: "_item__.InventoryServiceCall" = betterproto.message_field(
        4, group="message"
    )
    interact_service_call: "_interaction__.InteractionServiceCall" = (
        betterproto.message_field(5, group="message")
    )
    quest_service_call: "_quest__.QuestServiceCall" = betterproto.message_field(
        6, group="message"
    )

    def __post_init__(self) -> None:
        super().__post_init__()


@dataclass(eq=False, repr=False)
class Message(betterproto.Message):
    call: "FuncCall" = betterproto.message_field(1, group="msg")
    response: "FuncResponse" = betterproto.message_field(2, group="msg")
    event: "Event" = betterproto.message_field(3, group="msg")

    def __post_init__(self) -> None:
        super().__post_init__()


@dataclass(eq=False, repr=False)
class FuncResponse(betterproto.Message):
    mon_service_res: "_monster__.MonServiceResponse" = betterproto.message_field(
        1, group="message"
    )
    auth_service_res: "_auth__.AuthServiceResponse" = betterproto.message_field(
        2, group="message"
    )
    user_service_res: "_user__.UserServiceResponse" = betterproto.message_field(
        3, group="message"
    )
    inv_service_res: "_item__.InventoryServiceResponse" = betterproto.message_field(
        4, group="message"
    )
    interact_service_res: "_interaction__.InteractionServiceResponse" = (
        betterproto.message_field(5, group="message")
    )
    quest_service_res: "_quest__.QuestServiceResponse" = betterproto.message_field(
        6, group="message"
    )

    def __post_init__(self) -> None:
        super().__post_init__()


from .. import auth as _auth__
from .. import battle as _battle__
from .. import interaction as _interaction__
from .. import item as _item__
from .. import monster as _monster__
from .. import quest as _quest__
from .. import user as _user__
